//
//  DFAddressBook.h
//  MyMySpaceMail
//
//  Created by finucane on 12/17/05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "AppController.h"
#import "DFMessage.h"
#import "DFIDBox.h"

@interface DFAddress : NSObject <NSCoding>
{
  NSImage*image;
  NSString*name;
  int anId;
  BOOL watch;
}
- (id)initWithImage:(NSImage*)anImage name:(NSString*)aName someId:(int)someId;
- (id)initWithCoder:(NSCoder*)coder;
- (NSString*)name;
- (int)anId;
- (NSImage*)image;
- (BOOL)watch;
- (void) setWatch:(BOOL)value;

@end

@interface DFAddressBook : NSWindowController 
{
  NSMutableArray*addresses;
  AppController*appController;
  IBOutlet NSTableView*tableView;
  DFIDBox*idBox;
}

- (id) initWithAppController:(AppController*)anAppController;
- (BOOL) addWithImage:(NSImage*)image name:(NSString*)name anId:(int)anId;
- (BOOL) addMessage:(DFMessage*)message;
- (int) addMessages:(NSArray*)messages;
- (void) showIDBox:(id)sender;
- (void) watchAll:(id)sender;
- (void) unWatchAll:(id)sender;
- (void) getWatchedIDs:(NSMutableArray*)ids;
- (NSString*)getName:(int)anId;
- (BOOL)archive:(NSString*)path;
- (BOOL)unarchive:(NSString*)path;
 
@end
